Skip to documentation
Workflow Developer API

Insert Workflow Node Before

Insert one node before an existing draft node and optionally rewire its sources.

POST/developer/v1/workflows/{definition_id}/nodes/before

Authorizations

Authorization
stringheaderrequired

Send your GenHealth credential as Bearer <YOUR_API_KEY>. This endpoint requires workflow:write for the authenticated organization.

Headers

Accept
stringheader

Response media type. Use application/json for the current API.

Parameters

definition_idrequired
stringpath

Request body

Send an application/json request body. This body is required.

WorkflowNodeInsertBeforeRequest
before_node_idstring
nodeWorkflowNodeSchema
rewire_existing_sourcesboolean
source_outputstring
target_inputstring

Responses

200Successful Response
WorkflowMutationResponse
added_edge_countinteger | null
changed_fieldsarray<string>
definition_idstring | null
errorstring | null
error_categorystring | null
insertedstring | null
node_idstring | null
node_namestring | null
422Validation Error
HTTPValidationError
detailarray<ValidationError>